Package com.avaya.clientservices.provider.ipo

## Class IPOfficeConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.ipo.IPOfficeConfiguration

-     public class IPOfficeConfiguration
      extends java.lang.Object

  User Configuration information for IP Office. This class provides the configuration data that allows a connection and access to be made to an IP Office Server

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IPOfficeConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` |
    `int` | `getInitialReconnectInterval()` |
    `int` | `getMaxReconnectInterval()` |
    `CredentialProvider` | `getMessagingCredentialProvider()` |
    `java.lang.String` | `getPrimaryMessagingServerUrl()` |
    `java.lang.String` | `getSecondaryMessagingServerUrl()` |
    `ServerInfo` | `getServerInfo()` |
    `boolean` | `isCallHandoverEnabled()` |
    `boolean` | `isCallLogEnabled()` |
    `boolean` | `isCallRecordingEnabled()` |
    `boolean` | `isConferenceControlsEnabled()` |
    `boolean` | `isContactsEnabled()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isMessagingEnabled()` |
    `boolean` | `isMonAppsEnabled()` |
    `boolean` | `isPresenceEnabled()` |
    `void` | `setCallHandoverEnabled​(boolean isCallHandoverEnabled)` | Set the boolean value indicating whether the IP Office call handover is enabled.
    `void` | `setCallLogEnabled​(boolean isCallLogEnabled)` | Sets the boolean value indicating whether the IP Office Call Log is enabled.
    `void` | `setCallRecordingEnabled​(boolean isCallRecordingEnabled)` | Set the boolean value indicating whether the IP Office call recording is enabled.
    `void` | `setConferenceControlsEnabled​(boolean isConferenceControlsEnabled)` | Set the boolean value indicating whether the IP Office Conference controls are enabled.
    `void` | `setContactsEnabled​(boolean enabled)` | Set the boolean value indicating whether the IP Office contact provider is enabled.
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the CredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Set the boolean value indicating whether the IP Office provider is enabled.
    `void` | `setInitialReconnectInterval​(int initialReconnectInterval)` | When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here.
    `void` | `setMaxReconnectInterval​(int maxReconnectInterval)` | Set the max reconnection attempt interval.
    `void` | `setMessagingCredentialProvider​(CredentialProvider credentialProvider)` | Set the messaging CredentialProvider.
    `void` | `setMessagingEnabled​(boolean enabled)` | Set the boolean value indicating whether to activate the One-X Portal messaging service for IP Office
    `void` | `setMonAppsEnabled​(boolean isMonAppsEnabled)` | Set the boolean value indicating whether the IP Office MonApps service is enabled.
    `void` | `setPresenceEnabled​(boolean enabled)` | Set the boolean value indicating whether the IP Office presence provider is enabled.
    `void` | `setPrimaryMessagingServerUrl​(java.lang.String serverUrl)` | Set the primary URL to access the messaging service
    `void` | `setSecondaryMessagingServerUrl​(java.lang.String serverUrl)` | Set the secondary URL to access the messaging service
    `void` | `setServerInfo​(ServerInfo serverInfo)` | Set the ServerInfo value indicating the server to connect with.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPOfficeConfiguration

          public IPOfficeConfiguration()

  - ### Method Detail

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns:
        A CredentialProvider instance representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the CredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - the CredentialProvider value representing the object that provides the credentials.

    - #### getMessagingCredentialProvider

          public CredentialProvider getMessagingCredentialProvider()

      Returns:
        A CredentialProvider instance for authentication at the messaging server. The messaging service and server are not coupled to SIP service credentials.

    - #### setMessagingCredentialProvider

          public void setMessagingCredentialProvider​(CredentialProvider credentialProvider)

      Set the messaging CredentialProvider. The messaging service and server are not coupled to SIP service credentials.
      Parameters:
        `credentialProvider` - the CredentialProvider value representing the object that provides the credentials.

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        A boolean value indicating whether the IP Office provider is enabled.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the boolean value indicating whether the IP Office provider is enabled.
      Parameters:
        `enabled` - the boolean value indicating whether the IP Office provider is enabled.

    - #### isMessagingEnabled

          public boolean isMessagingEnabled()

      Returns:
        A boolean value indicating whether to activate the One-X Portal messaging service for IP Office

    - #### setMessagingEnabled

          public void setMessagingEnabled​(boolean enabled)

      Set the boolean value indicating whether to activate the One-X Portal messaging service for IP Office
      Parameters:
        `enabled` - true means to activate the One-X Portal messaging service for IP Office

    - #### isContactsEnabled

          public boolean isContactsEnabled()

      Returns:
        A boolean value indicating whether the IP Office contact provider is enabled.

    - #### setContactsEnabled

          public void setContactsEnabled​(boolean enabled)

      Set the boolean value indicating whether the IP Office contact provider is enabled.
      Parameters:
        `enabled` - the boolean value indicating whether the IP Office contact provider is enabled.

    - #### isPresenceEnabled

          public boolean isPresenceEnabled()

      Returns:
        A boolean value indicating whether the IP Office presence provider is enabled.

    - #### setPresenceEnabled

          public void setPresenceEnabled​(boolean enabled)

      Set the boolean value indicating whether the IP Office presence provider is enabled.
      Parameters:
        `enabled` - the boolean value indicating whether the IP Office presence provider is enabled.

    - #### getPrimaryMessagingServerUrl

          public java.lang.String getPrimaryMessagingServerUrl()

      Returns:
        The primary URL to access the messaging service

    - #### setPrimaryMessagingServerUrl

          public void setPrimaryMessagingServerUrl​(java.lang.String serverUrl)

      Set the primary URL to access the messaging service
      Parameters:
        `serverUrl` - primary URL to access the messaging service

    - #### getSecondaryMessagingServerUrl

          public java.lang.String getSecondaryMessagingServerUrl()

      Returns:
        The secondary URL to access the messaging service

    - #### setSecondaryMessagingServerUrl

          public void setSecondaryMessagingServerUrl​(java.lang.String serverUrl)

      Set the secondary URL to access the messaging service
      Parameters:
        `serverUrl` - secondary URL to access the messaging service

    - #### getServerInfo

          public ServerInfo getServerInfo()

      Returns:
        A ServerInfo value indicating the server to connect with.

    - #### setServerInfo

          public void setServerInfo​(ServerInfo serverInfo)

      Set the ServerInfo value indicating the server to connect with.
      Parameters:
        `serverInfo` - ServerInfo value indicating the server to connect with.

    - #### isCallLogEnabled

          public boolean isCallLogEnabled()

      Returns:
        A Boolean value indicating whether the IP Office Call Log is enabled.

    - #### setCallLogEnabled

          public void setCallLogEnabled​(boolean isCallLogEnabled)

      Sets the boolean value indicating whether the IP Office Call Log is enabled.
      Parameters:
        `isCallLogEnabled` - the boolean value indicating whether the IP Office Call Log is enabled.

    - #### isConferenceControlsEnabled

          public boolean isConferenceControlsEnabled()

      Returns:
        A boolean value indicating whether the IP Office Conference controls are enabled.

    - #### setConferenceControlsEnabled

          public void setConferenceControlsEnabled​(boolean isConferenceControlsEnabled)

      Set the boolean value indicating whether the IP Office Conference controls are enabled.
      Parameters:
        `isConferenceControlsEnabled` - the boolean value indicating whether the IP Office Conference controls are enabled.

    - #### isCallRecordingEnabled

          public boolean isCallRecordingEnabled()

      Returns:
        A boolean value indicating whether the IP Office call recording is enabled.

    - #### setCallRecordingEnabled

          public void setCallRecordingEnabled​(boolean isCallRecordingEnabled)

      Set the boolean value indicating whether the IP Office call recording is enabled.
      Parameters:
        `isCallRecordingEnabled` - the boolean value indicating whether the IP Office call recording is enabled.

    - #### isCallHandoverEnabled

          public boolean isCallHandoverEnabled()

      Returns:
        A boolean value indicating whether the IP Office call handover is enabled.

    - #### setCallHandoverEnabled

          public void setCallHandoverEnabled​(boolean isCallHandoverEnabled)

      Set the boolean value indicating whether the IP Office call handover is enabled.
      Parameters:
        `isCallHandoverEnabled` - the boolean value indicating whether the IP Office call handover is enabled.

    - #### setInitialReconnectInterval

          public void setInitialReconnectInterval​(int initialReconnectInterval)

      When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here. The default is 2 seconds. For every subsequent failure, the initial interval is doubled until the maximum value is reached (see `setMaxReconnectInterval(int)`).
      Parameters:
        `initialReconnectInterval` - The nominal interval to wait (in seconds) before the first reconnection attempt. 0 disables automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getInitialReconnectInterval

          public int getInitialReconnectInterval()

    - #### setMaxReconnectInterval

          public void setMaxReconnectInterval​(int maxReconnectInterval)

      Set the max reconnection attempt interval. Set the upper bound for the reconnection attempt interval algorithm. The default is 1800 seconds.
      Parameters:
        `maxReconnectInterval` - The maximum delay interval between automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getMaxReconnectInterval

          public int getMaxReconnectInterval()

    - #### isMonAppsEnabled

          public boolean isMonAppsEnabled()

      Returns:
        A boolean value indicating whether the IP Office MonApps service is enabled. MonApps are miscellaneous PBX features which are not call features but are still useful for a user application to be able to monitor. Current support is for the monitoring of button MonApp only.

    - #### setMonAppsEnabled

          public void setMonAppsEnabled​(boolean isMonAppsEnabled)

      Set the boolean value indicating whether the IP Office MonApps service is enabled.
      Parameters:
        `isMonAppsEnabled` - the boolean value indicating whether the IP Office MonApps service is enabled.